--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: warnings
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: Nitpick::Nitpicker
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: nitpick!
- !ruby/object:RI::MethodSummary 
  name: process_cfunc
- !ruby/object:RI::MethodSummary 
  name: process_defn
- !ruby/object:RI::MethodSummary 
  name: scan_for
- !ruby/object:RI::MethodSummary 
  name: warn
name: Nitpicker
superclass: SexpProcessor
